import sys
sys.path.append('../..')

import report
import stringtools

report.stdoutLoggingConfigure(log_name_lvl=[('root', 'DEBUG'), ])
s = stringtools.stp.stp()
for byte in b':<:=message:=:>':
    data = s.process(bytes([byte]))
    if len(data) > 0:
        print(data)
